"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const kit_Tags = require("./Tags.cjs");
const useTags = (tags) => {
  const [ctags, setCtags] = React.useState(tags);
  const onAction = kit_Tags.tagsActionHelper(ctags, (ts) => setCtags(ts));
  return (props) => /* @__PURE__ */ jsxRuntime.jsx(kit_Tags.default, { onAction, ...props, tags: ctags });
};
exports.useTags = useTags;
